Get the tenant's workflow configuration (tenant:settings:read)
GET /api/workflow/v1/config
Module: Workflow · operationId: getWorkflowConfig · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)
A tenant without a stored configuration gets (and stores) the default {"active": false}.
Responses
- 200 Configuration (
application/json) - 400 Error (
application/json) - 401 Missing or invalid token (
unauthorized) (application/json) - 403 Error (
application/json) - 500 Error (
application/json)
Fields of the 200 answer:
active(boolean): Whether workflows run for the tenantlastEditor(string, read-only): E-mail of the last editorlastUpdate(string (date-time), nullable, read-only): Last change of the configurationuserEmailField(string): No longer used
Example 200 answer:
{
"active": true,
"lastEditor": "laura.kaestner@muster-it.example",
"lastUpdate": "2026-10-14T13:20:11Z"
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/workflow/v1/config' \
-H "Authorization: Bearer $ACCESS_TOKEN"